<script setup lang="ts">
import {price} from "../utils/formatters";
import {RealEstate} from "../domain/RealEstate";
import {openMapsTab} from "../utils";

const props = defineProps<{ item: RealEstate }>()

const emits = defineEmits<{ 'click:details': [item: RealEstate] }>()

</script>

<template>
  <v-card class="w-100">
    <div class="d-inline-flex flex-wrap w-100">
      <v-img :class="{'w-25': $vuetify.display.smAndUp}" :src="`/images/${props.item.images[0]}`" min-width="150px" height="150px" cover></v-img>
      <div :class="{'w-75': $vuetify.display.smAndUp}">
        <v-card-title>
          {{ props.item.rooms }} Zimmer | {{ props.item.sqm }} m² | {{ price(props.item.price) }}
        </v-card-title>
        <v-btn density="compact" class="ml-1" prepend-icon="mdi-map-marker" variant="text"
               @click="openMapsTab(props.item.address)">
          {{ props.item.address }}
        </v-btn>
        <v-card-text>
          <p>
            {{ props.item.description }}
          </p>
        </v-card-text>
      </div>
    </div>
    <template #actions>
      <v-btn variant="text" color="primary" @click="emits('click:details', props.item)">Zum Inserat</v-btn>
    </template>
  </v-card>
</template>

<style scoped>

</style>
